org.rrd4j.graph

## Class SVGImageWorker

- java.lang.Object
- - org.rrd4j.graph.ImageWorker
  - - org.rrd4j.graph.SVGImageWorker

-     public class SVGImageWorker
      extends ImageWorker

  I2P adapter for jfreesvg. Requires: https://github.com/jfree/jfreesvg Requires: rrd4j custom_Graphics2D branch patch https://github.com/rrd4j/rrd4j/commit/225c06b245377e2995ea39c885548e8ef0514630 Ref: https://github.com/rrd4j/rrd4j/issues/165

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVGImageWorker(int width, int height)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `drawString(String text, int x, int y, Font font, Paint paint)`
    `(package private) double` | `getStringWidth(String text, Font font)`
    `(package private) void` | `makeImage(OutputStream os)`
    `protected void` | `reset(Graphics2D g2d)`
    `(package private) void` | `resize(int width, int height)`

    - ### Methods inherited from class org.rrd4j.graph.ImageWorker

      `clip, dispose, drawLine, drawPolyline, fillPolygon, fillPolygon, fillRect, getFontAscent, getFontHeight, getImageBytes, loadImage, makeImage, reset, saveImage, setAntiAliasing, setG2d, setTextAntiAliasing, transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVGImageWorker

          public SVGImageWorker(int width,
                                int height)

  - ### Method Detail

    - #### drawString

          void drawString(String text,
                          int x,
                          int y,
                          Font font,
                          Paint paint)

      Overrides:
        `drawString` in class `ImageWorker`

    - #### getStringWidth

          double getStringWidth(String text,
                                Font font)

      Overrides:
        `getStringWidth` in class `ImageWorker`

    - #### makeImage

          void makeImage(OutputStream os)
                  throws IOException

      Specified by:
        `makeImage` in class `ImageWorker`
      Throws:
        `IOException`

    - #### reset

          protected void reset(Graphics2D g2d)

      Specified by:
        `reset` in class `ImageWorker`

    - #### resize

          void resize(int width,
                      int height)

      Specified by:
        `resize` in class `ImageWorker`